Package org.firebirdsql.gds.impl

## Class BatchParameterBufferImp

- java.lang.Object
- - org.firebirdsql.gds.impl.ParameterBufferBase
  - - org.firebirdsql.gds.impl.BatchParameterBufferImp

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Iterable<Parameter>`, `BatchParameterBuffer`, `ParameterBuffer`

    public final class BatchParameterBufferImp
    extends ParameterBufferBase
    implements BatchParameterBuffer

Batch parameter buffer implementation.

Since:
  5
Author:
  Mark Rotteveel
See Also:
  Serialized Form

### Constructor Summary

Constructors
`BatchParameterBufferImp()`

### Method Summary

### Methods inherited from class org.firebirdsql.gds.impl.ParameterBufferBase

`addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, equals, getArgumentAsInt, getArgumentAsString, getArgumentsList, getDefaultEncoding, getLength, getParameterBufferMetaData, getType, hasArgument, hashCode, isEmpty, iterator, removeArgument, size, toBytes, toBytesWithType, toXdrable, writeArgumentsTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Methods inherited from interface org.firebirdsql.gds.ParameterBuffer

`addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, getArgumentAsInt, getArgumentAsString, getType, hasArgument, isEmpty, iterator, removeArgument, size, toBytes, toBytesWithType, toXdrable, writeArgumentsTo`

### Constructor Detail

#### BatchParameterBufferImp

    public BatchParameterBufferImp()